[Python-apps-commits] r12827 - in packages/wader/trunk/debian (changelog wader-core.postrm)
ginggs at users.alioth.debian.org
ginggs at users.alioth.debian.org
Mon Feb 22 22:10:43 UTC 2016
Date: Monday, February 22, 2016 @ 22:10:40
Author: ginggs
Revision: 12827
Include upstream's wader-core.postrm
Added:
packages/wader/trunk/debian/wader-core.postrm
Modified:
packages/wader/trunk/debian/changelog
Modified: packages/wader/trunk/debian/changelog
===================================================================
--- packages/wader/trunk/debian/changelog 2016-02-22 20:51:18 UTC (rev 12826)
+++ packages/wader/trunk/debian/changelog 2016-02-22 22:10:40 UTC (rev 12827)
@@ -11,6 +11,7 @@
* Update debian/copyright
* Fix duplicate section field and capitalization error in debian/control,
wrap-and-sort
+ * Include upstream's wader-core.postrm (Closes: #683265)
-- Graham Inggs <ginggs at debian.org> Mon, 22 Feb 2016 21:05:22 +0200
Added: packages/wader/trunk/debian/wader-core.postrm
===================================================================
--- packages/wader/trunk/debian/wader-core.postrm (rev 0)
+++ packages/wader/trunk/debian/wader-core.postrm 2016-02-22 22:10:40 UTC (rev 12827)
@@ -0,0 +1,16 @@
+#!/bin/sh -e
+
+get_pid() {
+ [ -n "$1" ] || return 0
+ [ -S /var/run/dbus/system_bus_socket ] || return 0
+
+ dbus-send --system --dest=org.freedesktop.DBus --print-reply \
+ /org/freedesktop/DBus org.freedesktop.DBus.GetConnectionUnixProcessID \
+ string:$1 2>/dev/null | awk '/uint32/ {print $2}'
+}
+
+if [ "$1" = "remove" ]; then
+ kill $(get_pid org.freedesktop.ModemManager) 2>/dev/null || true
+fi
+
+#DEBHELPER#
More information about the Python-apps-commits
mailing list